apiVersion: external-secrets.io/v1
kind: ExternalSecret
metadata: {}
spec:
  data:
  - remoteRef:
      conversionStrategy: "Default"
      decodingStrategy: "None"
      key: string
      metadataPolicy: "None"
      property: string
      version: string
    secretKey: string
    sourceRef:
      generatorRef:
        apiVersion: external-secrets.io/v1
        kind: "ACRAccessToken" # "ACRAccessToken", "ClusterGenerator", "ECRAuthorizationToken", "Fake", "GCRAccessToken", "GithubAccessToken", "QuayAccessToken", "Password", "STSSessionToken", "UUID", "VaultDynamicSecret", "Webhook", "Grafana"
        name: string
      storeRef:
        kind: "SecretStore" # "SecretStore", "ClusterSecretStore"
        name: string
  dataFrom:
  - extract:
      conversionStrategy: "Default"
      decodingStrategy: "None"
      key: string
      metadataPolicy: "None"
      property: string
      version: string
    find:
      conversionStrategy: "Default"
      decodingStrategy: "None"
      name:
        regexp: string
      path: string
      tags: {}
    rewrite:
    - regexp:
        source: string
        target: string
      transform:
        template: string
    sourceRef:
      generatorRef:
        apiVersion: external-secrets.io/v1
        kind: "ACRAccessToken" # "ACRAccessToken", "ClusterGenerator", "ECRAuthorizationToken", "Fake", "GCRAccessToken", "GithubAccessToken", "QuayAccessToken", "Password", "STSSessionToken", "UUID", "VaultDynamicSecret", "Webhook", "Grafana"
        name: string
      storeRef:
        kind: "SecretStore" # "SecretStore", "ClusterSecretStore"
        name: string
  refreshInterval: "1h"
  refreshPolicy: "CreatedOnce" # "CreatedOnce", "Periodic", "OnChange"
  secretStoreRef:
    kind: "SecretStore" # "SecretStore", "ClusterSecretStore"
    name: string
  target:
    creationPolicy: "Owner"
    deletionPolicy: "Retain"
    immutable: true
    name: string
    template:
      data: {}
      engineVersion: "v2"
      mergePolicy: "Replace"
      metadata:
        annotations: {}
        labels: {}
      templateFrom:
      - configMap:
          items:
          - key: string
            templateAs: "Values"
          name: string
        literal: string
        secret:
          items:
          - key: string
            templateAs: "Values"
          name: string
        target: "Data"
      type: string
status:
  binding:
    name: ""
  conditions:
  - lastTransitionTime: 2024-10-11T12:48:44Z
    message: string
    reason: string
    status: string
    type: string
  refreshTime: 2024-10-11T12:48:44Z
  syncedResourceVersion: string
